### Method

# EBackend UserPrompterServerExtension response

since: 3.8

#### Declaration [src]

    void
    e_user_prompter_server_extension_response (
      EUserPrompterServerExtension* extension,
      gint prompt_id,
      gint response,
      const ENamedParameters* values
    )

#### Description [src]

A conveniente wrapper function around e_user_prompter_server_response(), which ends previous call of e_user_prompter_server_extension_prompt(). The `response` and `values` is known only to the caller and to the dialog implementor, it’s not interpretted nor checked for correctness in any way in `EUserPrompterServer`. The only limitation of `values` is that the array elements are strings.

Available since: 3.8

#### Parameters

`prompt_id`

  Type: `gint`

  Prompt identificator.

`response`

  Type: `gint`

  Response of the prompt.

`values`

  Type: `ENamedParameters`

  Additional response values, if extension defines any.

  The argument can be `NULL`.
  The data is owned by the caller of the method.